.cam-context-menu {
    display: none;
    position: absolute;
    background-color: var(--background-floating);
    border: 1px solid var(--background-modifier-accent);
    border-radius: 8px;
    width: 250px;
    z-index: 1050;
    padding: 8px;
    box-shadow: var(--shadow-low);
}

.cam-context-menu.visible {
    display: block;
}


#camera-settings-btn .small {
    transition: transform 0.2s ease-in-out;
}

#camera-settings-btn.rotated .small {
    transform: rotate(180deg);
}

.cam-context-menu-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 8px 12px;
    color: var(--text-normal);
    cursor: pointer;
    border-radius: 4px;
    font-size: 14px;
}

[data-theme="light"] .cam-context-menu-item {
    filter: brightness(0.5);
}

[data-theme="light"] .cam-context-menu-item:hover {
    filter: brightness(0.9);
    color: white;
}

.cam-context-menu-item:hover {
    background-color: var(--brand-hover);
    color: var(--header-primary);
}

.cam-context-menu-item .label {
    margin-right: 10px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.cam-context-menu-item .icon {
    width: 16px;
    height: 16px;
    flex-shrink: 0;
    transform: rotate(-90deg);
}

.cam-device-list-container {
    display: none;
    position: absolute;
    top: 0;
    left: 100%;
    margin-left: 5px;
    background-color: var(--background-floating);
    border: 1px solid var(--background-modifier-accent);
    border-radius: 8px;
    width: 250px;
    padding: 8px;
    box-shadow: var(--shadow-low);
    z-index: 1051;
}

.cam-device-list-container.visible {
    display: block;
}

.cam-device-list-item {
    padding: 8px 12px;
    color: var(--text-normal);
    cursor: pointer;
    border-radius: 4px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 14px;
}

.cam-device-list-item:hover {
    background-color: var(--brand-hover);
    color: var(--header-primary);
}

.cam-device-list-item.selected:hover {
    color: var(--header-primary);
}

.cam-device-list-item.selected {
    font-weight: bold;
    color: var(--brand);
}